<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Recipe List</title>
  </head>
  <body>
    <header>
      <nav>
        {% if user.is_authenticated %}
        <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
        <li><a href="{% url 'create_account' %}">Create account</a></li>
        <li><a href="{% url 'account_list' %}">View Accounts</a></li>
        <li><a href="{% url 'create_category' %}">Create Catergory</a></li>
        <li><a href="{% url 'category_list' %}">View Categories</a></li>
        <li><a href="{% url 'logout' %}">Logout</a></li>
        {% else %}
        <li><a href="{% url 'login' %}">Login</a></li>
        {% endif %}
      </nav>
    </header>
    <main>
      <h1>My Receipts</h1>
      <table>
        <thead>
          <tr>
            <th>Vendor</th>
            <th>Total</th>
            <th>Tax</th>
            <th>Date</th>
            <th>Catergory</th>
            <th>Account</th>
          </tr>
        </thead>
        <tbody>
          {% for receipt in receipts %}
          <tr>
            <td>{{ receipt.vendor }}</td>
            <td>{{ receipt.total }}</td>
            <td>{{ receipt.tax }}</td>
            <td>{{ receipt.date|date:"m/d/y" }}</td>
            <td>{{ receipt.category }}</td>
            <td>{{ receipt.account }}</td>
          </tr>
          {% endfor %}
        </tbody>
      </table>
    </main>
  </body>
</html>
